### A free/open-source library for quantitative finance

Classes
ql/event.hpp File Reference

Base class for events associated with a given date. More...

`#include <ql/time/date.hpp>`
`#include <ql/patterns/observable.hpp>`
`#include <ql/patterns/visitor.hpp>`
`#include <boost/optional.hpp>`
Include dependency graph for event.hpp:

## Classes

class | Event
| Base class for event. More...

## Detailed Description

Base class for events associated with a given date.